Create Tool Credential
curl --request POST \
--url https://agent-prod.studio.lyzr.ai/v3/tools/credentials \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"provider_id": "<string>",
"credentials": {},
"meta_data": {}
}
'import requests
url = "https://agent-prod.studio.lyzr.ai/v3/tools/credentials"
payload = {
"name": "<string>",
"provider_id": "<string>",
"credentials": {},
"meta_data": {}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', provider_id: '<string>', credentials: {}, meta_data: {}})
};
fetch('https://agent-prod.studio.lyzr.ai/v3/tools/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Credential created successfully."
}Tools
Create Tool Credential Endpoint
Creates a new credential for a tool.
POST
/
tools
/
credentials
Create Tool Credential
Description
This endpoint creates a new credential for a tool.Endpoint
POST/v3/tools/credentials
Authentication
API Key (x-api-key) must be included in the header.Request Body
{
"name": "string",
"provider_id": "string",
"credentials": {},
"meta_data": {}
}
Response
A message confirming that the credential was created.Example Request
curl -X POST "https://agent-prod.studio.lyzr.ai/v3/tools/credentials" ^
-H "accept: application/json" ^
-H "content-type: application/json" ^
-H "x-api-key: sk-default-EXAMPLEKEY123" ^
-d "{\"name\":\"string\",\"provider_id\":\"string\",\"credentials\":{},\"meta_data\":{}}"
Authorizations
Body
application/json
Response
Credential created successfully
Example:
"Credential created successfully."
⌘I